New version of FBX loader in example

Hello,

In example https://threejs.org/examples/?q=fbx#webgl_loader_fbx you have new version of fbx loader. But I wanna use npm package, where I can take it?
https://www.npmjs.com/package/three-fbx-loader - this is latest version what I can found

@WahlbergRu Maybe the discussion in the following thread is helpful to you: Time of AnimationActions set to NaN, animation not playing.

What did i do wrong now?!?!? What exactly is wrong about my previous post?! You can’t explain the difference between github and npm any more?!

I’m not sure why your post was flagged. But in any case, this:

Npm and three.js have nothing to do with each other.

Is not true, there is the official three npm package. So you can type npm install three and you will get the main three.js build files and the examples installed under node_modules/.

The fact that the examples are not currently useable as modules is a separate issue.

1 Like

I didn’t mean it like that. The whole repo is available on npm true, but there are various scattered modules that are maintained by 3rd parties. Publishing a new version of three doesn’t update all of them, which is what I understood was the problem the OP was having (he’s not using the main repo, but a 3rd party one).